﻿Imports System.IO
Partial Class DataSet1

    Public Shared ReadOnly Dts As DataSet1
    Public _Persistance As DbPersistanceBase
    Private _sCon As String = Nothing
    Public _fi As FileInfo = Nothing
    Private DbServer As String = ""
    Private DbName As String = ""
    Private DbUser As String = ""
    Private DbPass As String = ""

    Shared Sub New()
        Dts = New DataSet1
        Dts.Persist(False, Dts.Tables.Cast(Of DataTable).Where(Function(tb) tb.PrimaryKey.Length = 0).ToArray) 'Tabellen ohne PrimKey-Column aus Persistierung ausschließen
        'Dts.SetMySqlProvider()
    End Sub

    ''' <summary>Speichert alle Änderungen am DataSet in die Datenbank oder XML-Datei</summary>
    Friend Sub SaveDts(Optional Form As Form = Nothing)
        If Not Dts.HasChanges Then Return
        WaitCursor()
        If Form IsNot Nothing Then Form.Validate()
        Select Case App.PersistanceModeXml
            Case True
                'Await Threading.Tasks.Task.Run(Sub() SaveXML())
                SaveXML()
            Case False
                'Await Threading.Tasks.Task.Run(Sub() SaveDB())
                SaveDB()
        End Select
        DefaultCursor()
    End Sub

    Private Sub SaveXML()
        Me.WriteXml(DataFile.FullName)
        Me.AcceptChanges()
    End Sub

    Private Sub SaveDB()
        _Persistance.Save()
    End Sub

End Class
