﻿Public Class dlgAnrede

#Region "Form"

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub frm_Load(sender As Object, e As EventArgs) Handles Me.Load
        TextTextBox.Select()
    End Sub

    Private Sub frm_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        If Me.DialogResult = DialogResult.OK Then
            Me.ValidateChildren()
            If Not ClosingChecks() Then e.Cancel = True
        End If
    End Sub

#End Region 'Form

    Private Function ClosingChecks() As Boolean
        If Not bsAnrede.At(Of AnredeRow).IsNew Then Return True
        If Dts.Anrede.Any(Function(x) x.Text = TextTextBox.Text) Then
            msgInformation($"Es existiert bereits ein Eintrag mit {TextTextBox.Text}")
            Return False
        End If
        Return True
    End Function

End Class